if [ $# -ne 1 ] || [ ! -f "${CERT}" ]; then echo"usage: ${BASENAME} " >&2
exit 1 fi
# Checks that it is indeed a certificate (PEM or DER encoded) and exclude the # optional PEM text header. if ! PEM="$(openssl x509 -inform DER -in "${CERT}" 2>/dev/null || openssl x509 -in "${CERT}")"; then echo"ERROR: Failed to parse certificate" >&2
exit 1 fi
# The signature hash algorithm is used by Linux to blacklist certificates. # Cf. crypto/asymmetric_keys/x509_cert_parser.c:x509_note_pkey_algo()
DIGEST_MATCH="" while read -r DIGEST_ITEM; do if [ -z "${DIGEST_ITEM}" ]; then
break fi ifecho"${DIGEST}" | grep -qiF "${DIGEST_ITEM}"; then
DIGEST_MATCH="${DIGEST_ITEM}"
break fi done < <(openssl list -digest-commands | tr ' ''\n' | sort -ur)
if [ -z "${DIGEST_MATCH}" ]; then echo"ERROR: Unknown digest algorithm: ${DIGEST}" >&2
exit 1 fi
Die Informationen auf dieser Webseite wurden
nach bestem Wissen sorgfältig zusammengestellt. Es wird jedoch weder Vollständigkeit, noch Richtigkeit,
noch Qualität der bereit gestellten Informationen zugesichert.
Bemerkung:
Die farbliche Syntaxdarstellung und die Messung sind noch experimentell.